classification
Title: Embedding Python doc incorrectly refers to LINKFORSHARED
Type: Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ned.deily Nosy List: E.Money, eric.araujo, ned.deily, pitrou, python-dev, wichert
Priority: normal Keywords: patch

Created on 2013-06-07 20:52 by ned.deily, last changed 2013-06-24 21:26 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
issue18164_3x.patch ned.deily, 2013-06-13 00:37 3x doc patch review
issue18164-27.patch ned.deily, 2013-06-13 00:37 27 doc patch
Messages (6)
msg190779 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-06-07 20:52
This is in reference to section 5.6 of the "Extending and Embedding Python" doc.  This has come up recently where third-party projects are using LINKEDFORHARED instead of the results of python-config when linking an embedded Python into their projects. See discussion in Issue3588. Also, the updates to section 5.6 made for Python 3 should be backported to the Python 2.7 doc.

http://docs.python.org/3/extending/embedding.html#compiling-and-linking-under-unix-like-systems

http://docs.python.org/2/extending/embedding.html#linking-requirements
msg191034 - (view) Author: egallager (E.Money) Date: 2013-06-12 15:44
For reference, this originally came from the following MacPorts ticket: https://trac.macports.org/ticket/39223#comment:14
msg191044 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2013-06-12 19:38
I think it was Antoine who committed the patch originally.
msg191052 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-06-13 00:37
On further review, I think the 3.x documentation is pretty good as is.  I propose one change to it: getting another config var to help emphasize "the configuration values that you will want to combine together".  The proposed 2.7 patch backports the whole 3.x section including that change.
msg191807 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-06-24 21:24
New changeset e18b92bae4d6 by Ned Deily in branch '2.7':
Issue #18164: Backport the more detailed embedding compile-and-link section
http://hg.python.org/cpython/rev/e18b92bae4d6

New changeset 4a114b0db866 by Ned Deily in branch '3.3':
Issue #18164: Clarify the embedding docs regarding link options.
http://hg.python.org/cpython/rev/4a114b0db866

New changeset 262689e0fa2a by Ned Deily in branch 'default':
Issue #18164: merge from 3.3
http://hg.python.org/cpython/rev/262689e0fa2a
msg191808 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-06-24 21:26
Patches committed (with consistent use of get_config_var as suggested by Antoine) for 2.7.5, 3.3.3, and 3.4.0 docs.
History
Date User Action Args
2013-06-24 21:26:58ned.deilysetstatus: open -> closed
resolution: fixed
messages: + msg191808

stage: commit review -> resolved
2013-06-24 21:24:11python-devsetnosy: + python-dev
messages: + msg191807
2013-06-13 00:37:32ned.deilysetfiles: + issue18164-27.patch
2013-06-13 00:37:20ned.deilysetfiles: + issue18164_3x.patch
keywords: + patch
messages: + msg191052

stage: needs patch -> commit review
2013-06-12 19:38:11eric.araujosetnosy: + pitrou, eric.araujo
messages: + msg191044
2013-06-12 15:44:14E.Moneysetnosy: + E.Money
messages: + msg191034
2013-06-07 20:56:29wichertsetnosy: + wichert
2013-06-07 20:52:24ned.deilycreate